#include <Tic.h>

//Initializing I2C devices
TicI2C tic1(14);
TicI2C tic2(15);

void setup() {
  Wire.begin(); // Begin I2C Bus
  delay(20);

//Start Motors

  tic1.exitSafeStart();
  tic2.exitSafeStart();

  Serial.begin(9600);
}

void loop() {
  if (Serial.available() > 0) {

    String input = Serial.readStringUntil('\n'); //Read Input given in console

    // Commands Listed for Tic devices
    if (input == "moveUp1") {
      tic1.setTargetVelocity(2000000);
      delay(1000);
      tic1.haltAndHold();
    }

    else if (input == "moveDown1") {
      tic1.setTargetVelocity(-2000000);
      delay(1000);
      tic1.haltAndHold();
    }

    else if (input == "moveUp2") {
      tic2.setTargetVelocity(2000000);
      delay(1000);
      tic2.haltAndHold();
    }
    else if (input == "moveDown2") {
      tic2.setTargetVelocity(-2000000);
      delay(1000);
      tic2.haltAndHold();
    }
  }
}
